package cn.com.qmth.examcloud.core.questions.service.temp;

import cn.com.qmth.examcloud.core.questions.base.question.enums.QuesStructType;

import java.util.Map;

public class QuestionsTemp {

    private String number;

    private String name;

    private String totalScore;

    private String count;

    private String score;

    private String body;

    private QuesStructType type;

    private String answer;

    private Map<Object, Object> options;

    private Map<Object, Object> subQues;

    private Map<Object, Object> ques;

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(String totalScore) {
        this.totalScore = totalScore;
    }

    public String getCount() {
        return count;
    }

    public void setCount(String count) {
        this.count = count;
    }

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public QuesStructType getType() {
        return type;
    }

    public void setType(QuesStructType type) {
        this.type = type;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public Map<Object, Object> getOptions() {
        return options;
    }

    public void setOptions(Map<Object, Object> options) {
        this.options = options;
    }

    public Map<Object, Object> getSubQues() {
        return subQues;
    }

    public void setSubQues(Map<Object, Object> subQues) {
        this.subQues = subQues;
    }

    public Map<Object, Object> getQues() {
        return ques;
    }

    public void setQues(Map<Object, Object> ques) {
        this.ques = ques;
    }

}
